JETRING-SIGNINDEX(1)

NAME
jetring-signindex - gpg sign an index file

SYNOPSIS
jetring-signindex dir

DESCRIPTION
This command uses gpg to sign the dir/index file.

This is a low-level command, that is run by higher-level commands in jetring. Any jetring command that modifies a jetring directory and needs to add a changeset to its index file, will run jetring-signindex at the end, if the index file was previously signed, or if JETRING_SIGN is set.

So normally, you don't need to call this command by hand, though it can be useful when first creating a changeset directory, to force the index file to get signed.

AUTHOR
Joey Hess, <joey@kitenet.net>.

SEE ALSO
jetring(7)